mutation CreateTeamMemberInvite(
  $teamId: UUID!,
  $email: String!,
  $inviteStatus: TeamMemberInviteStatus!
) @auth(level: USER) {
  teamMemberInvite_insert(
    data: {
      teamId: $teamId
      email: $email
      inviteStatus: $inviteStatus
      # inviteCode se genera por default con uuidV4()
    }
  )
}

mutation UpdateTeamMemberInvite(
  $id: UUID!,
  $teamId: UUID,
  $email: String,
  $inviteStatus: TeamMemberInviteStatus
) @auth(level: USER) {
  teamMemberInvite_update(
    id: $id,
    data: {
      teamId: $teamId
      email: $email
      inviteStatus: $inviteStatus
    }
  )
}

mutation DeleteTeamMemberInvite(
  $id: UUID!
) @auth(level: USER) {
  teamMemberInvite_delete(id: $id)
}
